package main

import "net/http"

// httpClient is a wrapper around the default http.Client
// It is used to add default headers to the requests.
type httpClient struct {
	*http.Client
}

func (c *httpClient) Do(req *http.Request) (*http.Response, error) {
	req.Header.Set("User-Agent", "ntfy-alertmanger")
	return c.Client.Do(req)
}
